// ----- Change log -----
// 02/27/05 - Created
// ----------------------

#ifndef FLOWER_H
#define FLOWER_H

#include "Main.h"



// ----- Constants -----

#define FLOWER_GROW_SPEED		SPT_FX(-2)

typedef enum _FLOWER_ANIM
{
	FLOWER_ANIM_IDLE,

	FLOWER_ANIM_NUM,
	FLOWER_ANIM_MAX = FLOWER_ANIM_NUM - 1,

} FLOWER_ANIM;

typedef enum _FLOWER_MODE
{
	FLOWER_MODE_IDLE,

	FLOWER_MODE_NUM,
	FLOWER_MODE_MAX = FLOWER_MODE_NUM - 1,

} FLOWER_MODE;

typedef enum _FLOWER_IDLE_STATE
{
	FLOWER_IDLE_STATE_GROW,
	FLOWER_IDLE_STATE_IDLE,

	FLOWER_IDLE_STATE_NUM,
	FLOWER_IDLE_STATE_MAX = FLOWER_IDLE_STATE_NUM - 1,

} FLOWER_IDLE_STATE;



// ----- Structures -----

typedef struct _SptVarsFlower
{
	u8 mode;
	u8 state;
	u8 timer;

} SptVarsFlower;



// ----- Global functions -----

extern void SptInitFlower (struct _Sprite *spt, struct _Map *map);
extern void SptUpdateFlower (struct _Sprite *spt, struct _Map *map);
extern void SptColFlower (struct _Sprite *spt, struct _Sprite *obs, u32 dir, struct _Map *map);

#endif	// FLOWER_H