#ifndef GAME_H
#define GAME_H

#include "Main.h"
#include "Image.h"



// ----- Constants -----

#define GAME_GAMEOVER_TIME		45

typedef enum _GAME_MODE
{
	GAME_MODE_NONE,
	GAME_MODE_TITLE,
	GAME_MODE_MAP,
	GAME_MODE_GAMEOVER,
	GAME_MODE_END,

	GAME_MODE_NUM,
	GAME_MODE_MAX = GAME_MODE_NUM - 1,

} GAME_MODE;

typedef enum _GAME_SWITCH
{
	GAME_SWITCH_FIRST_FLOWER	= BIT00,

} GAME_SWITCH;



// ----- Structures -----

typedef struct _Game
{
	u8 mode;
	u8 timer;
	u8 curLevel;	// LEVEL_ID
	u8 lives;
	Image imgTitle;

} Game;



// ----- Global variables -----

extern Game gGame;
extern u32 gGameSwitch;



// ----- Global functions -----

void GameSetMode (Game *game, s32 mode, s32 data);
void GameUpdate (Game *game);

#endif	// GAME_H