// ----- Change log -----
// 02-26-05	Created



// ----- Headers -----

#include "Main.h"
#include "Input.h"



// ----- Global variables -----

u8 keyState[NUM_KEYS];



// ----- Global functions -----

void InputInit ()
{
	memset (keyState, KEY_STATE_UP, NUM_KEYS);
}

void InputUpdate ()
{
	s32 i;

	if (keyboard_needs_poll ())
		poll_keyboard ();

	for (i = 0; i < NUM_KEYS; i++)
	{
		switch (keyState[i])
		{
		case KEY_STATE_UP:
			if (key[i])
				keyState[i] = KEY_STATE_TRIG;
			break;
		case KEY_STATE_DOWN:
			if (!key[i])
				keyState[i] = KEY_STATE_FALL;
			break;
		case KEY_STATE_TRIG:
			if (key[i])
				keyState[i] = KEY_STATE_DOWN;
			else
				keyState[i] = KEY_STATE_FALL;
			break;
		case KEY_STATE_FALL:
			if (key[i])
				keyState[i] = KEY_STATE_TRIG;
			else
				keyState[i] = KEY_STATE_UP;
			break;
		default:
			ASSERT_ALWAYS();
		}
	}
}

// ----- End global functions -----
