#ifndef SPT_SINE_H
#define SPT_SINE_H

#include "Main.h"



// ----- Constants -----

#define SINE_FREQ_FX_BITS	4
#define SINE_PHASE_SPEED	SINE_FREQ_FX(1)
#define SINE_SPEED			SPT_FX(8)
#define SINE_LIFE_TIME		60

typedef enum _SINE_ANIM
{
	SINE_ANIM_IDLE,

	SINE_ANIM_NUM,
	SINE_ANIM_MAX = SINE_ANIM_NUM - 1,

} SINE_ANIM;

typedef enum _SINE_MODE
{
	SINE_MODE_IDLE,

	SINE_MODE_NUM,
	SINE_MODE_MAX = SINE_MODE_NUM - 1,

} SINE_MODE;

typedef enum _SINE_IDLE_STATE
{
	SINE_IDLE_STATE_IDLE,

	SINE_IDLE_STATE_NUM,
	SINE_IDLE_STATE_MAX = SINE_IDLE_STATE_NUM - 1,

} SINE_IDLE_STATE;



// ----- Macros -----

#define SINE_FREQ_FX(x)		((x) << SINE_FREQ_FX_BITS)



// ----- Structures -----

typedef struct _SptVarsSine
{
	u8 mode;
	u8 state;
	u8 phase;
	u8 freq;
	u8 color;
	u8 life;

} SptVarsSine;



// ----- Global functions -----

void SptInitSine (struct _Sprite *spt, struct _Map *map);
void SptUpdateSine (struct _Sprite *spt, struct _Map *map);
void SptColSine (struct _Sprite *spt, struct _Sprite *obs, u32 dir, struct _Map *map);
void SptRenderSine (struct _Sprite *spt, struct _Map *map, struct _Image *screen);

#endif	// SPT_SINE_H