#include "Main.h"
#include "Font.h"
#include "TextBox.h"



// ----- Global functions -----

void TextBoxCreate (TextBox *textBox, const char *text, 
					s32 x, s32 y, s32 w, s32 h, u32 fontColors)
{
	strcpy (textBox->text, text);
	textBox->fontColors = fontColors;
	textBox->w = w;
	textBox->h = h;
	textBox->x = x - textBox->w/2;
	textBox->y = y - textBox->h/2;
}

void TextBoxDraw (TextBox *textBox, Image *screen)
{
	ImgRectFill (screen, 
				 textBox->x, textBox->y, 
				 textBox->w, textBox->h, 
				 (u8) (textBox->fontColors >> 16));
	FontPrint8 (screen, 
				textBox->x + TEXTBOX_BORDER_SIZE, 
				textBox->y + TEXTBOX_BORDER_SIZE, 
				textBox->text, 
				textBox->fontColors);
}
